# Interface methods for submodule: HistogramToTextureFeaturesFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: HistogramToTextureFeaturesFilter
class HistogramToTextureFeaturesFilterProxy(_ProcessObjectProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetInput(self, histogram) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def GetEnergy(self) -> float:
		""""""
		...

	def GetEnergyOutput(self):
		""""""
		...

	def GetEntropy(self) -> float:
		""""""
		...

	def GetEntropyOutput(self):
		""""""
		...

	def GetCorrelation(self) -> float:
		""""""
		...

	def GetCorrelationOutput(self):
		""""""
		...

	def GetInverseDifferenceMoment(self) -> float:
		""""""
		...

	def GetInverseDifferenceMomentOutput(self):
		""""""
		...

	def GetInertia(self) -> float:
		""""""
		...

	def GetInertiaOutput(self):
		""""""
		...

	def GetClusterShade(self) -> float:
		""""""
		...

	def GetClusterShadeOutput(self):
		""""""
		...

	def GetClusterProminence(self) -> float:
		""""""
		...

	def GetClusterProminenceOutput(self):
		""""""
		...

	def GetHaralickCorrelation(self) -> float:
		""""""
		...

	def GetHaralickCorrelationOutput(self):
		""""""
		...

	def GetFeature(self, feature) -> float:
		""""""
		...

